MAV_polyline(3)

NAME
MAV_polyline - Default object class ``polyline''.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  int nlines;
  int *np;
  int *closed;
  MAV_vector **vert;
  MAV_surfaceParams **sp;
  MAV_matrix matrix;
  void *userdef;
} MAV_polyline;

DESCRIPTION
A polyline is a number, nlines, of lines each consisting of a number, np, of vertices, vert, each connected by a line. closed indicates if the last vertex connects back to the first.

Since it only make sense for this object to be rendered with an emissive solid, attempting to render it with a material or texture gives undefined results.